<template>
  <ObModal
    ref="ob-modal-confirm"
    :title="strTitle || 'Закрыть без сохранения?'"
    :is-show-controls="true"
    size="small"
    :is-center="false"
    :is-confirm="true"
    :ok-text="strOkButton || 'Да'"
    :cancel-text="strCancelButton || 'Нет'"
    :data-qa="dataQa"
    @submit="choiceYes"
  >
    <p
      v-if="strText"
      v-html="strText"
    />
  </ObModal>
</template>

<script>
import ObModal from '../obModal'

export default {
  name: 'ObModalConfirm',
  components: {
    ObModal
  },
  props: {
    dataQa: {
      type: String
    },
    strTitle: {
      type: String
    },
    strText: {
      type: String,
      default: null
    },
    strOkButton: {
      type: String
    },
    strCancelButton: {
      type: String
    }
  },
  methods: {
    choiceYes () {
      this.$refs['ob-modal-confirm'].close()
      this.$emit('close')
    },
    open () {
      this.$refs['ob-modal-confirm'].open()
    }
  }
}
</script>
